Bug 11534 - MD5-enabled SysVinit doesn't compile on glibc20 [PATCH]
Summary: MD5-enabled SysVinit doesn't compile on glibc20 [PATCH]
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: SysVinit   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-20 08:20 UTC by Pekka Savola
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-20 08:20:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-05-20 08:20:30 UTC
It seems newer SysVinit packages that have MD5 patches in won't compile on
my RH51 glibc20 system.

Here's a small patch to make it backward-compatible:

--- sysvinit-2.78/src/md5.h.orig        Sat May 20 11:02:31 2000
+++ sysvinit-2.78/src/md5.h     Sat May 20 11:14:00 2000
@@ -2,7 +2,7 @@
 #define MD5_H

 #include <features.h>
-#if defined(__GLIBC__) && __GLIBC__ > 1
+#if defined(__GLIBC__) && __GLIBC__ > 1 && !(__GLIBC__ == 2 &&
__GLIBC_MINOR__ == 0)
 # include <stdint.h>
 typedef uint32_t uint32;
 #else

Comment 1 Bill Nottingham 2000-06-08 20:05:25 UTC
Fixed in 2.78-8.


Note You need to log in before you can comment on or make changes to this bug.